# Interface ICefPdfPrintCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPdfPrintCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefBrowserHost.PrintToPDF. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_pdf_print_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefPdfPrintCallback

## Overview

### Methods

| `procedure OnPdfPrintFinished(const path: ustring; ok: Boolean);`

## Description

### Methods

| `procedure OnPdfPrintFinished(const path: ustring; ok: Boolean);`
Method that will be executed when the PDF printing has completed. |path| is the output path. |ok| will be true (1) if the printing completed successfully or false (0) otherwise. ###### Attributes GUID['{F1CC58E9-2C30-4932-91AE-467C8D8EFB8E}']

Generated by PasDoc 0.16.0-snapshot.